#
# spec file for package gvfs (Version 1.4.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gvfs
Version:        1.4.3
Release:        0.1.1
License:        LGPLv2.0+
Summary:        VFS functionality for GLib
Url:            http://www.gnome.org
Group:          Development/Libraries/C and C++
Source0:        %{name}-%{version}.tar.bz2
# PATCH-FEATURE-OPENSUSE gvfs-dice-backend.patch hpj@suse.de -- Implements Novell IceDesktop backend. Should be upstreamed eventually.
Patch1:         gvfs-dice-backend.patch
# PATCH-FIX-UPSTREAM gvfs-429959-handle-blank-schemas.patch bnc429959 hpj@suse.de -- Fix URI handler lookup with blank schemas.
Patch4:         gvfs-429959-handle-blank-schemas.patch
# PATCH-FEATURE-OPENSUSE gvfs-nvvfs.patch ksamrat@novell.com -- Provides gvfs backend for novell nautilus plugin
Patch5:         gvfs-nvvfs.patch
# PATCH-FEATURE-OPENSUSE gvfs-nds.patch ksamrat@novell.com -- Provides NDS browsing for nautilus
Patch6:         gvfs-nds.patch
BuildRequires:  bluez-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  fuse-devel
BuildRequires:  gconf2-devel
BuildRequires:  glib2-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  hal-devel
BuildRequires:  intltool
BuildRequires:  libarchive-devel
BuildRequires:  libavahi-glib-devel
BuildRequires:  libcdio-devel
BuildRequires:  libexpat-devel
BuildRequires:  libgphoto2-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libsoup-devel
BuildRequires:  pkg-config
BuildRequires:  translation-update-upstream
%if %suse_version > 1110
BuildRequires:  libgdu-devel
BuildRequires:  libgudev-1_0-devel
%endif
Requires:       %{name}-lang = %{version}
Requires:       libgvfscommon0 = %{version}
Recommends:     gvfs-backends
Recommends:     gvfs-common
Recommends:     gvfs-fuse
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
VFS functionality for GLib.

%package -n libgvfscommon0
License:        LGPLv2.0+
Summary:        VFS functionality for GLib
Group:          Development/Libraries/C and C++
Requires:       %{name} >= %{version}

%description -n libgvfscommon0
VFS functionality for GLib.

%package backends
License:        LGPLv2.0+
Summary:        VFS functionality for GLib
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
# FIXME: Requires: or Recommends:? -> Recommends
Recommends:     obex-data-server

%description backends
VFS functionality for GLib.

%package fuse
License:        LGPLv2.0+
Summary:        VFS functionality for GLib
Group:          System/Filesystems
Requires:       %{name} = %{version}
Requires:       fuse

%description fuse
VFS functionality for GLib.

%package devel
License:        LGPLv2.0+
Summary:        VFS functionality for GLib
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
VFS functionality for GLib.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch1 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
autoreconf -f
libtoolize -c -f
%configure \
    --libexecdir=%{_libdir}/%{name} \
    --disable-static
%__make

%install
%makeinstall
rm %{buildroot}%{_libdir}/*.*a
rm %{buildroot}%{_libdir}/gio/modules/*.*a
# We can drop the chmod when bgo523420 is fixed.
chmod -x %{buildroot}%{_sysconfdir}/profile.d/*
%find_lang %{name}

%post -n libgvfscommon0 -p /sbin/ldconfig

%postun -n libgvfscommon0 -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README TODO
%{_bindir}/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/gvfs
%{_libdir}/gio/modules/*.so
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/gvfsd
%{_sysconfdir}/profile.d/*

%files fuse
%defattr(-, root, root)
%{_libdir}/%{name}/gvfs-fuse-daemon

%files backends
%defattr(-, root, root)
%if %suse_version > 1110
%{_libdir}/%{name}/gvfs-gdu-volume-monitor
%endif
%{_libdir}/%{name}/gvfs-gphoto2-volume-monitor
%{_libdir}/%{name}/gvfs-hal-volume-monitor
%{_libdir}/%{name}/gvfsd-archive
%{_libdir}/%{name}/gvfsd-burn
%{_libdir}/%{name}/gvfsd-cdda
%{_libdir}/%{name}/gvfsd-computer
%{_libdir}/%{name}/gvfsd-dav
%{_libdir}/%{name}/gvfsd-dice
%{_libdir}/%{name}/gvfsd-dnssd
%{_libdir}/%{name}/gvfsd-ftp
%{_libdir}/%{name}/gvfsd-gphoto2
%{_libdir}/%{name}/gvfsd-http
%{_libdir}/%{name}/gvfsd-localtest
%{_libdir}/%{name}/gvfsd-metadata
%{_libdir}/%{name}/gvfsd-network
%{_libdir}/%{name}/gvfsd-obexftp
%{_libdir}/%{name}/gvfsd-sftp
%{_libdir}/%{name}/gvfsd-smb
%{_libdir}/%{name}/gvfsd-smb-browse
%{_libdir}/%{name}/gvfsd-trash
%{_libdir}/%{name}/gvfsd-nvvfs
%{_libdir}/%{name}/gvfsd-nds

%files -n libgvfscommon0
%defattr(-, root, root)
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/gvfs-client
%{_libdir}/*.so

%files lang -f %{name}.lang

%changelog
* Fri Dec 18 2009 dimstar@opensuse.org
- Update to version 1.4.3:
  + smb: Fix free space calculation on older samba servers
  + metadata: Fix memory leak
  + ftp: Fix some uninitilized variable reads
  + gdu: Only automount whitelisted volume types
  + gdu: Fix with newer versions of mount(8)
  + gdu: Fix with newer versions of gnome-disk-utility
- Changes from version 1.4.2:
  + ftp: fix parsing of CMU/VMS-IP listings
  + metadata: Make more robust
  + fuse: Return ENOSYS for readlink
  + http: Return icons for query_file_info
  + smb: Support querying free space
  + fuse: Support setting timestamps
- Changes from version 1.4.1:
  + FreeBSD support for the gphoto2 backend
  + Don't silently overwrite when restoring from trash
  + Avoid error dialogs when the user canceled
  + Fix a crash in the obexftp backend
  + Don't confuse media players for cameras
  + Updated translations.
* Wed Sep 30 2009 vuntz@opensuse.org
- Update to version 1.4.0:
  + metadata: fix leaks
  + fix some uninitialized memory reads
  + Always return metadata:: as a writable namespace for all
    backends
  + Translation updates
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 1.3.6:
  + ftp: robustness fixes
  + gdu: Avoid unnecessary authentication dialogs
  + Translation updates.
- Do not package gvfs-fuse-daemon twice.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 1.3.5:
  + Properly translate gvfs-* programs
  + Implement support for g_cancellable_release_fd
  + sftp: Handle existing file on mkdir
  + smb: Better performance when reading files
  + ftp: Fix memory leaks
  + Make dav mounts work be accessible with fuse (bgo#590730,
    bgo#590862)
  + metadata: Fix memory leaks in daemon
  + metadata: Fix rare write error on journal wrapover
  + gphoto: Handle removal of camera with multiple storage heads
  + hal: Fix crash for volumes with no HAL UDI
- Reorder preamble.
* Mon Aug 10 2009 vuntz@novell.com
- Update to version 1.3.4:
  + ftp: Make large FTP transfers work
  + gphoto: use udev instead of hal
  + Fix build on FreeBSD
  + Bugs fixed: bgo#588187, bgo#589915, bgo#573994, bgo#590793,
    bgo#576229, bgo#589434
* Thu Aug  6 2009 opensuse@sukimashita.com
- Make gvfs 1.3.3 still build for openSUSE 11.1 by making the
  libgdu-devel and libgudev-1_0-devel BuildRequires occur only for
  11.2.
* Wed Jul 29 2009 vuntz@novell.com
- Update to version 1.3.3:
  + Call dbus_threads_init_default before doing any other dbus
    calls.
  + Always build gvfsd-ftp.
  + When a p2p connection is closed, cancel all pending jobs.
  + Improve debut output.
  + Code cleanup.
  + Updated translations.
- Uncomment the libgdu-devel BuildRequires now that we have a
  recent enough version.
- Respin gvfs-dice-backend.patch.
* Mon Jul 20 2009 dominique-obs@leuenberger.net
- Update to version 1.3.2:
  + metadata-store: initial implementation
  + gvfs-ls: add a -n option to gvfs-ls for nofollow-symlinks
  + gvfsd-computer: better handling of PC floppy drives
  + ftp: EPTR support
  + cdda: Support gudev (and prefer it instead of hal)
  + Add support user interaction when unmounting mounts
    (gdu, gphoto2)
  + Add support starting/stopping drives (gdu monitor)
  + Fix 'make distcheck'
  + Bugs fixed: bgo#582175, bgo#516704, bgo#586280, vgo#585853,
    bgo#582772, bgo#585591, bgo#587484
- New backend gvfsd-metadata
- New dependency to libgudev-1_0-devel
* Mon Jun 15 2009 vuntz@novell.com
- Update to version 1.3.1:
  + Add Gnome Disk utility based volume monitor
  + Emit pre-unmount signal on GMounts
  + Use new race-free cancellation connect APIs
  + fix crash with newer glib
  + avoid sending progress info if not needed
  + ftp: Convert to use gio network APIs
  + ftp: Restructure code significantly
  + ftp: Fix logging in to a FTP server only works for the 2nd
    attempt
  + ftp: Handle files > 4 gig
  + gphoto: Fix support for Canon EOS 5D
  + sftp: Pick up SSH_AUTH_SOCK from gnome-keyring
  + sftp: Don't trust remote permissions for uids other than user
  + cdda: verify filenames before using
  + gvfs-copy: Show speed when copying
* Tue May 19 2009 vuntz@novell.com
- Update to version 1.2.3:
  + Pick up SSH_AUTH_SOCK from gnome-keyring
  + sftp: Don't trust remote permissions for uids other than user
  + ftp: Fix logging in to a FTP server only works for the 2nd
    attempt
  + ftp: Handle files > 4 gig
  + fix crash with newer glib
- Drop gvfs-no-shebang.patch: fixed upstream.
- Remove useless part of gvfs-dice-backend.patch.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 1.2.2:
  + ftp: Fix error handling in some cases
  + proxy monitor: Fix warning spew
* Tue Apr  7 2009 vuntz@novell.com
- Update to version 1.2.1:
  + Fix duplicate CD audio icons after remount
  + Fix problems mounting encrypted volumes
  + Handle usernames with @ in them better in uris
  + trash: handle weird filenames correctly
  + sftp: Fix various error conditions
  + volume monitors: emit pre-unmount signals
  + smb: Fix various error conditions
  + fuse: Make sure closing a file flushed the file on the backend
* Fri Apr  3 2009 msuman@suse.de
- Re-based gvfs-nds.patch to make it compile with gvfs-1.2.0
- Patched gvfs-nvvfs.patch and gvfs-nds.patch with fixes from
  SLE11
* Mon Mar 16 2009 mboman@suse.de
- Update to version 1.2.0:
  + sftp: Don't hang if ssh no authentication method availible
  + Don't leak file monitors
  + computer: don't show shadowed mounts
* Tue Mar 10 2009 vuntz@novell.com
- Update to version 1.1.8:
  + Fix crashers and leaks
  + Handle file:// uris with anchors in gvfs-open
  + fuse: Support ftruncate to the current file size
  + escape/unescape hostname part in uris, allowing spaces in e.g.
    smb domains
  + hal: Fix "No mount object" error on mount
  + Change details of the new .xdg-volume-info file format
  + Fix races in cancellation of gvfs streams
  + Remove debug spew from backends
  + ftp: Fix anonymous login
  + gphoto2: Ignore broken storages with no capacity
  + Don't globally modify COMP_WORDBREAKS in bash completion script
  + Don't ask for username when getting ssh key passphrase
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 1.1.7:
  + Fix build on some platforms
  + ftp: Fix short read errors
  + gphoto2: Make it work on iphone
  + sftp: Fix symlink creation
  + fuse: Better support of truncation, fixing OOo save
  + proxy monitors: Support mount operations, etc
  + gvfs-mount: add --device commandline support
  + sftp: Fix protocol bug that made some servers not work
  + general support for query_info over streams, implemented for
    smb, sftp
  + Initial support for .xdg-volume-info reading
- Remove -fno-strict-aliasing from CFLAGS.
- Remove AutoReqProv: it's default now.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Mon Feb 16 2009 mboman@suse.de
- Update to version 1.1.6:
  + Fix crashes
  + trash: Better messages
  + Clean up glib and gtk includes
  + archive: Build with later versions of libarchive
  + dav: Fix folder creation
  + dav: Fix redirection when user is specified in url
  + http: fix error propagation
  + sftp: Try to preserve ownership when replacing a file
* Tue Feb  3 2009 mboman@suse.de
- Update to version 1.1.5:
  + network: Pick up SMB shares from zeroconf
  + obexftp: Write support for
  + obexftp: Support obexftp over usb
  + trash: Don't follow symlinks on delete
  + fix crashes
* Mon Feb  2 2009 mboman@suse.de
- Update to version 1.1.4:
  + Trash performance fixes
  + Fuse performance fixes
* Thu Jan 29 2009 vuntz@novell.com
- Disable gvfs-nds.patch for now, since it needs to be reworked to
  actually compile.
* Fri Jan 23 2009 vuntz@novell.com
- Merge packages from GNOME:Factory:Next and openSUSE:Factory.
- Rename gvfs-novell-nautilus-plugin-filesystem.patch to
  gvfs-nvvfs.patch
- Integrate gvfs-nds-no-vfs-init.patch in gvfsd-nds.patch, and
  rename gvfsd-nds.patch to gvfs-nds.patch
* Fri Jan 16 2009 ksamrat@novell.com
- gvfs-nds-no-vfs-init.patch - Avoid issues with vfs initialization
* Thu Jan 15 2009 ksamrat@novell.com 
- gvfsd-nds.patch
- gvfs-novell-nautilus-plugin-filesystem.patch
- Provide the Nautilus backend for NDS and Novell File system browsing
- Solves bugs bnc#420155 , bnc#449396
* Fri Jan  9 2009 mboman@suse.de
- Remove gvfs-smb-browse-auth.patch. Fixed upstream
* Thu Jan  8 2009 hpj@novell.com
- Added gvfs-429959-handle-blank-schemas.patch (bnc#429959).
* Wed Jan  7 2009 mboman@suse.de
- Update to version 1.1.3:
  + ftp: fix limited number of connections causes commands to fail
    (bgo#565504)
  + trash: fix parallel build doesn't work (bgo#562955)
  + trash: add trash::orig-path and trash::deletion-date info
  + trash: set files to mode 700 before deleting to deal with users
    trashing read-only directories
  + smb-browse: browsing authentication support (bgo#524485)
  + smb-browse: make backend not automounted anymore
* Sat Dec 20 2008 mboman@suse.de
- Update to version 1.1.2:
  + New trash backend
  + Use the new shadow mount facility in gio
  + gphoto2: Use shadow mounts
  + obex: Fix icon for root directory
  + http: Fix major memory leak
  + http: Support proxies
* Mon Dec 15 2008 mboman@suse.de
- Update to version 1.1.1:
  + Reverse map FUSE pathnames to gvfs locations
  + Fix crashes
  + Show better icon info in gvfs-info
  + Support custom icons for gvfs backends
  + dav: support uris (dav+sd://) which specify dns-sd services instead of
    resolved ip+port
  + ftp: Fix time parsing
  + ftp: Show username in auth dialog if specified in uri
  + ftp: Support UTF8 server feature
  + ftp: Use LIST -a instead of LIST on unix servers
  + fuse: Fix major race in that caused crashes
  + fuse: Set st_blocks so that e.g. the "du" command works
  + gphoto: use custom icons for faster thumbnails
  + obexftp: Port to bluez 4 API
  + sftp: If name specified in mount, use in name too so that fuse paths
    are unique
  + sftp: Support /etc/favicon.png
  + smb: Don't ask for password twice if cancelled
  + smb: support setting timestamp
- Remove gvfs-obexftp-updated-apis-3.patch. Fixed upstream
- Add gvfs-enable-deprecated.patch (bgo#564464)
* Fri Dec  5 2008 hpj@novell.com
- Added gvfs-smb-browse-auth.patch (bnc#437780).
* Tue Nov 11 2008 maw@suse.de
- Apply gvfs-dice-backend.patch correctly.
* Sat Nov  8 2008 banderso@novell.com
- updated gvfs-dice-backend.patch - feature complete for Beta 5
* Mon Oct 27 2008 jpr@novell.com
- Use bluez-devel not bluez in the BuildRequires (bnc#436950)
- List each backend individually so we know when one breaks
- Add gvfs-obexftp-update-apis-3.patch for bluez 4.x
* Wed Oct 22 2008 mboman@suse.de
- Update to version 1.0.2:
  + Make sure mount-added is always emitted when a mount operation is
    completed
  + Crash fixes
  + Set st_blocks to make du and ls -s work
  + Stability fix with concurrent close and reads (made amarok2 crash)
* Fri Oct  3 2008 mboman@suse.de
- Update to version 1.0.1:
  + bgo#547568 - gvfsd-trash crash due to race condition
* Wed Sep 24 2008 hpj@suse.de
- Add gvfs-dice-backend.patch, which implements the Novell
  IceDesktop backend.
* Mon Sep 22 2008 maw@suse.de
- Update to version 1.0.0:
  + Bug fixed: bgo#524498.
* Wed Sep 17 2008 vuntz@novell.com
- Update to version 0.99.8:
  + Fix leak of GSimpleAsyncResult
  + Fix crash while browsing ssh locations
  + Fix --enable/disable-keyring configure switch
  + Updated translations.
* Tue Sep 16 2008 dmueller@suse.de
- update buildrequires
* Wed Sep 10 2008 maw@suse.de
- Update to version 0.99.7.1:
  + Revert to using powers of 10 instead of powers of 2 for
    display sizes; this means we will agree with printed sizes for
    most devices; for example, memory sticks will now correctly
    report "64MB volume" instead of "61.7MB volume" as previously
  + Bugs fixed: bgo#546971 and bgo#550858
  + Updated translations.
* Mon Sep  8 2008 kukuk@suse.de
- Make obex-data-server really a recommends as requested initialy
  in bugzilla.
* Tue Sep  2 2008 mboman@novell.com
- Update to version 0.99.6:
  + Better cross-backend copy/move logic.
  + Bugs fixed: bgo#548841, bgo#547133, bgo#538573, bgo#549253,
    bgo#549553, bgo#550100, bgo#529971, rh#460223
  + Translation updates
* Mon Sep  1 2008 ro@suse.de
- add libexpat-devel to buildrequires so that obex backend
  is built
* Thu Aug 28 2008 maw@suse.de
- Update to version 0.93.5:
  + Support und update serialization of GEmblem and GEmblemedIcon
  + Add x-content/* support to daemon mounts
  + Use standard icon names
  + FTP backend now restores file permissions when replacing a
    file
  + Miscellaneous unreported bug fixes
  + Bugs fixed: bgo#545695, bgo#545489, bgo#544008, bgo#543552,
    bgo#528891, bgo#525779, bgo#545968, bgo#545966, bgo#509740,
    bgo#539167, bgo#528848, bgo#518284, bgo#41852, and bgo#546300
  + Updated translations
- Drop gvfs-bnc382172-home-trash-monitoring.patch, because it has
  been upstreamed (see bgo#509740 and bnc#382172).
* Fri Aug  1 2008 maw@suse.de
- Update to version 0.99.3:
  + Move hal and gphoto volume monitors out of process
  + Fix recursive copying
  + Make the fuse daemon more reliable
  + Many smaller bugfixes
  + Updated translations.
* Fri Jun  6 2008 maw@suse.de
- Update to versino 0.99.1:
  + Fix directory copy/delete problems
  + Fuse daemon robustness fixes
  + Allow mounting non-standard ISO images
  + Better username/domain tests on mount spec
  + Require gphoto >= 2.4.0
  + Fix strdup()/g_free() confusion
  + Use consistent translatable strings for mount and volume
  + Plug some memory leaks
  + Many smaller bug fixes
  + Updated translations
- Remove upstreamed patch: gvfs-bnc368628-fuse-robustness.patch.
* Sat May 24 2008 hpj@suse.de
- Merge gvfs-bgo531516-fuse-cleanup-when-killed.patch into
  gvfs-bnc368628-fuse-robustness.patch so as to avoid overlapping
  patches.
- Add upstream fixes to thread locking and file handle life-cycles
  to gvfs-bnc368628-fuse-robustness.patch. Prevents more crashes.
- Depend on libcdio-devel for building, so we get the CDDA backend.
* Wed May 21 2008 hpj@suse.de
- Add gvfs-bgo531516-fuse-cleanup-when-killed.patch, which fixes
  the remaining issues covered by BNC #368628.
* Tue May 13 2008 hpj@suse.de
- Add gvfs-bnc382172-home-trash-monitoring.patch, which fixes
  BNC #382172.
* Thu May  8 2008 hpj@suse.de
- Add gvfs-bnc368628-fuse-robustness.patch, which probably fixes
  BNC #368628.
* Wed Apr  9 2008 maw@suse.de
- Update to version 0.2.3:
  + WebDAV: implement set_display_name
  + WebDAV fixes
  + Proper fallback icons for encrypted volumes
  + Sftp: Fix make_directory calls
  + Ftp: various fixes
  + Minor bug were fixed and leaks plugged.
* Wed Apr  9 2008 sbrabec@suse.cz
- Directory ownership of %%{_libdir}/gio/modules moved to glib2,
  where it logically belongs.
* Tue Apr  1 2008 rodrigo@suse.de
- Update to version 0.2.2:
  * Respect the giomoduledir provided in gio package config file
  * Better mount icon and name for archive backend
  * Fix crashes with cancelled stream ops
  * Fix race that caused a mount to hang for a client
  * Implement async query_filesystem_info
  * Fix minor leaks
  * trash: Correct display names for directories
  * sftp: Kerberos support
  * smb: Port to new samba 3.2.0 API (backwards compat)
  * sftp: Handle overwrites correctly (was silent overwrite)
* Wed Mar 26 2008 maw@suse.de
- gvfs now recommends gvfs-backends (bnc#373477).
* Wed Mar 19 2008 maw@suse.de
- Reduce build requirements
- Split out a shared library package, libgnomevfscommon0, and two
  module subpackages, gvfs-backends and gvfs-fuse.
* Tue Mar 18 2008 jpr@suse.de
- Update to version 0.2.1
  * Added archive backend
  * Implement most of the async functions in GDaemonFile
  * Correctly handle usernames in uris for ftp://
  * Ftp fixes
  * Webdav fixes
  * Add gvfs-rename command line utility
  * Fix cancellation
  * OpenBSD fixes
  * smb: hide dot files
  * Enviroment variable to disable fuse backend at runtime
* Mon Mar 17 2008 jpr@suse.de
- Add recommends for obex-data-server (bnc #368776)
* Fri Mar 14 2008 maw@suse.de
- Update to version 0.2.0.1:
  + Fix crashes
  + Build and portability fixes
  + Better mime icons for remote shares
  + Don't show mounts and volumes outside /media
  + Don't automount gphoto mounts
  + Translate cd disc names
  + ftp: Updates
  + obex: Give better error message on broken phones
  + sftp: Allow setting permissions
  + dav: Correct mount name, file icons and file types.
* Wed Mar  5 2008 jpr@suse.de
- Update to version 0.1.11
  * Correctly free mounts
  * Disable debug log
  * Fix volume monitor change reporting
  * Fix timeout during automount
- enable obex backend
* Tue Mar  4 2008 maw@suse.de
- Update to version 0.1.9:
  + Added ftp backend
  + Added obexftp backend
  + Locking fixed for volume monitors
  + Better bash completion
  + Better webdav support
  + Allow backends to specify uri details in .mount file
  + Fix leaks and crashes
  + Fix icon for audio cds.
* Fri Feb 29 2008 jpr@suse.de
- Update to 0.1.8
  * Update for gio API changes
  * Add gphoto2 backend
  * Add network: and dns-sd: backend support
  * Http and webdav backend updates
  * Keyring support
  * Fix crashes and deadlocks
  * Add trash::item-count attribute to trash:///
  * Fix smb reads > 65535 bytes breaking on some servers
  * Fix cancellation race in reading
  * Fill in thumbnail info for backends
  * sftp: Handle host identity changes
  * Enable translations everywhere
  * Add bash completion support for command line apps
  * Fix handling of blank cds and audio cds
  * Support port in sftp uris
* Fri Feb 29 2008 jpr@suse.de
- Move the gio modules into the main package (#358748)
- Enable gconf backend
* Mon Feb 18 2008 maw@suse.de
- Update to version 0.1.7:
  + Update for gio API changes
  + Add gconf based implementation of
    g_app_info_get_default_for_uri_scheme
  + Fix crashes
  + Allow navigation with http uris
  + Better file read performance with readahead and large block
    reads
  + Lots of bugs fixed in trash backend
  + Pick up cdrom icons from autorun.inf
  + Add "filesystem" file to computer://
  + Fix renaming in sftp and smb.
* Fri Feb  8 2008 maw@suse.de
- Recomend fuse (bnc#359928).
* Wed Jan 30 2008 maw@suse.de
- Update to version 0.1.6:
  + Updates to work with more recent glib
  + Fix sftp error handling on reading directories
  + Use correct file info attribute name style
  + Add gvfs-mkdir app
  + hal: Don't show drives if all volumes are hidden
  + Enable translations
  + Plus some files that were missing in 0.1.5.
* Tue Jan 22 2008 maw@suse.de
- Initial package, version 0.1.4.
